<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-08-29 02:23:20'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ETS={'#DOCUMENTS';'wsdl:definitions'}
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$nsURI';
		param.title='Namespace URI';
		param.type='string';
	}
	PARAM={
		param.name='$scope';
		param.description='Indicates the scope of the main document for which this template is called:
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"wsdl_file" - WSDL file overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;wsdl_file';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs';
		param.title='WSDL Definition Summary';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs.description';
		param.title='Description';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs.profile';
		param.title='Definition Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs.profile.portType';
		param.title='Port Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs.profile.defined';
		param.title='Defined / XML Source';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.frgm.wsdl.defs.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.icons';
		param.title='Icons';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.columns';
		param.title='Generate page columns';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message (Small)';
		style.id='cs2';
		text.font.size='9';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Description (Small)';
		style.id='cs3';
		text.font.size='9';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs4';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs5';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Page Number';
		style.id='cs6';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Summary Heading';
		style.id='ps2';
		text.font.size='12';
		text.font.style.bold='true';
	}
	CHAR_STYLE={
		style.name='Summary Item';
		style.id='cs7';
		text.font.name='Verdana';
		text.font.size='8';
		text.font.style.bold='true';
	}
	TABLE_STYLE={
		style.name='Summary Table';
		style.id='ts1';
		table.sizing='Relative';
		table.cell.padding.both='2.5';
	}
	TCELL_STYLE={
		style.name='Summary Table Cell';
		style.id='tcs1';
	}
	TROW_STYLE={
		style.name='Summary Table Header';
		style.id='trs1';
		trow.bkgr.color='#CCCCFF';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs4';
}
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			sec.outputStyle='table';
			text.style='cs5';
			table.sizing='Relative';
			table.cell.padding.horz='0.8';
			table.cell.padding.vert='0';
			table.border.style='none';
			table.border.bottom.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
						FMT={
							ctrl.size.width='398.3';
							ctrl.size.height='18';
						}
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='Binding Summary'
						FMT={
							ctrl.size.width='101.3';
							ctrl.size.height='18';
							tcell.align.horz='Right';
							tcell.option.nowrap='true';
						}
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<ELEMENT_ITER>
		INIT_EXPR='output.format.supportsPageRefs ?
{
  showPageColumn = false;

  getBooleanParam("page.columns") && output.generating ?
  {
    index = 0;
    repeat (BooleanQuery ({

      (el = iterator.itemAt (index).toElement()) != null ?
      {
        showPageColumn = findHyperTarget (Array (
          el.id, Array ("detail", "xml-source-location")
        )) != null;

        index = index + 1;
        ! showPageColumn

      } : false;
    }));
  };

  thisContext.setVar ("showPageColumn", showPageColumn)
}'
		TARGET_ET='wsdl:binding'
		SCOPE='advanced-location-rules'
		RULES={
			'#DOCUMENTS[hasParamValue("$scope", "any")] -> #DOCUMENT/wsdl:definitions';
			'#DOCUMENTS[hasParamValue("$scope", "namespace")] -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::wsdl:definitions';
			'wsdl:definitions -> wsdl:binding',recursive;
		}
		SORTING='by-expr'
		SORTING_KEY={expr='hasParamValue("$scope", "namespace")
? 
  getAttrStringValue ("name")
:
  toXMLName (
    findAncestor ("wsdl:definitions").getAttrStringValue("targetNamespace"),
    getAttrStringValue ("name")
  )',ascending}
		SORTING_COND='getBooleanParam("doc.frgm.wsdl.defs.sorting")'
		DEMO_LIMIT_KEY='wsdl-bindings'
		FMT={
			sec.outputStyle='table';
			table.style='ts1';
		}
		<HEADER>
			<AREA_SEC>
				FMT={
					trow.style='trs1';
					trow.page.keepTogether='true';
					trow.page.keepWithNext='true';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Binding Summary'
								FMT={
									ctrl.size.width='474';
									ctrl.size.height='18';
									tcell.style='tcs1';
									par.style='ps2';
								}
							</TEXT_CTRL>
							<TEXT_CTRL>
								COND='output.format.supportsPageRefs &&
thisContext.getBooleanVar ("showPageColumn")'
								TEXT='Page'
								FMT={
									ctrl.size.width='25.5';
									ctrl.size.height='18';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
									tcell.width='25.5';
									tcell.align.horz='Center';
									text.style='cs6';
									text.font.style.bold='true';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				FMT={
					trow.cell.align.vert='Top';
					trow.page.keepTogether='true';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<PANEL>
								FMT={
									ctrl.size.width='156';
									ctrl.size.height='42';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='none';
											par.option.nowrap='true';
										}
										<CTRLS>
											<IMAGE_CTRL>
												COND='getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='../../images/binding.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3';
												}
											</IMAGE_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='WSDL Definition Name'
												FMT={
													ctrl.size.width='108';
													ctrl.size.height='17.3';
													text.style='cs7';
												}
											</SS_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SS_CALL_CTRL>
								SS_NAME='Binding Info'
								FMT={
									ctrl.size.width='318';
									ctrl.size.height='42';
									tcell.style='tcs1';
									tcell.sizing='Relative';
								}
							</SS_CALL_CTRL>
							<DATA_CTRL>
								COND='output.format.supportsPageRefs &&
thisContext.getBooleanVar ("showPageColumn")'
								DOCFIELD='page-htarget'
								FMT={
									ctrl.size.width='25.5';
									ctrl.size.height='42';
									ctrl.option.noHLinkFmt='true';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
									tcell.width='25.5';
									tcell.align.horz='Center';
									text.style='cs6';
									text.hlink.fmt='none';
								}
								<DOC_HLINK>
									HKEYS={
										'contextElement.id';
										'Array ("detail", "xml-source-location")';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
</ROOT>
<STOCK_SECTIONS>
	<FOLDER>
		SS_NAME='Binding Info'
		MATCHING_ET='wsdl:binding'
		<BODY>
			<AREA_SEC COLLAPSED='true'>
				DESCR='if this component is excluded from demo documentation'
				COND='contextElement.exceedsDemoLimits'
				BREAK_PARENT_BLOCK='when-executed'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='first sentence of description'
				COND='hasParamValue("doc.frgm.wsdl.defs.description", "first_sentence")'
				OUTPUT_CHECKER_EXPR='getValuesByLPath(
  "xs:annotation/xs:documentation//(#TEXT | #CDATA)"
).isBlank() ? -1 : 1'
				TEMPLATE_FILE='../misc/firstSentence.tpl'
				FMT={
					text.style='cs3';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				COND='getBooleanParam("doc.frgm.wsdl.defs.profile")'
				TEMPLATE_FILE='bindingProfile.tpl'
				PASSED_PARAMS={
					'$nsURI','findAncestor("wsdl:definitions").getAttrValue("targetNamespace")';
					'$show_wsdl_file','! hasParamValue("$scope", "wsdl_file")';
					'doc.wsdl.def.profile.namespace','getBooleanParam("doc.frgm.wsdl.defs.profile.namespace")';
					'doc.wsdl.def.profile.portType','getBooleanParam("doc.frgm.wsdl.defs.profile.portType")';
					'doc.wsdl.def.profile.includes','getBooleanParam("doc.frgm.wsdl.defs.profile.includes")';
					'doc.wsdl.def.profile.defined','getBooleanParam("doc.frgm.wsdl.defs.profile.defined")';
					'doc.wsdl.def.profile.used','getBooleanParam("doc.frgm.wsdl.defs.profile.used")';
				}
				FMT={
					sec.spacing.before='5';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='full description'
				COND='hasParamValue("doc.frgm.wsdl.defs.description", "full")'
				CONTEXT_ELEMENT_EXPR='findChild("wsdl:documentation")'
				MATCHING_ET='wsdl:documentation'
				OUTPUT_CHECKER_EXPR='getValuesByLPath(
  "xs:annotation/xs:documentation//(#TEXT | #CDATA)"
).isBlank() ? -1 : 1'
				TEMPLATE_FILE='../../doc/docOutput.tpl'
				FMT={
					sec.spacing.before='7';
					text.style='cs3';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definiton'
		TEMPLATE_FILE='../misc/defName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='6LAmShx4PfyWaD7KYx7VOvlBDyrbdWt02hy25bTle2A'
</FLEXDOCXYZ_TEMPLATE>