<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2015-05-05 15:48:03'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ETS={'#DOCUMENTS';'xs:schema'}
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$scope';
		param.description='Indicates the scope of the main document for which this template is called:
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"schema" - schema overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;schema';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Namespace URI';
		param.type='Object';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
	}
	PARAM={
		param.name='gen';
		param.title='Generate Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='gen.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='gen.sorting.xsd.comps';
		param.title='XSD Components';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.comp';
		param.title='Component Details';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='page.start.comp.xsd';
		param.title='XSD Component';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.comp.xsd.group';
		param.title='Element Group';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 2';
		style.id='ps1';
		text.font.size='20';
		text.font.style.bold='true';
		par.alignment='Center';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEEE';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.bottom='12';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs3';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.default.font='Times New Roman';
	doc.hlink.style.link='cs2';
}
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			sec.outputStyle='table';
			text.style='cs3';
			table.sizing='Relative';
			table.cell.padding.horz='0.8';
			table.cell.padding.vert='0';
			table.border.style='none';
			table.border.bottom.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
						FMT={
							ctrl.size.width='403.5';
							ctrl.size.height='18';
						}
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='Element Groups'
						FMT={
							ctrl.size.width='96';
							ctrl.size.height='18';
							tcell.align.horz='Right';
							tcell.option.nowrap='true';
						}
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<ELEMENT_ITER>
		TARGET_ET='xs:group'
		SCOPE='advanced-location-rules'
		RULES={
			'#DOCUMENTS[hasParamValue("$scope", "any")] -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
			'#DOCUMENTS[hasParamValue("$scope", "any")] -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
			'#DOCUMENTS[hasParamValue("$scope", "namespace")] -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema';
			'xs:schema -> xs:group',recursive;
			'xs:schema -> xs:redefine/xs:group',recursive;
		}
		FILTER='checkElementsByKey ("xsd-globally-documented-comps", contextElement.id)'
		SORTING='by-compound-key'
		SORTING_KEY={
			{expr='hasParamValue("$scope", "namespace")
  ? getAttrStringValue ("name")
  : toXMLName (getServiceAttr("qName").toQName())',ascending};
			{expr='getServiceAttr("version").toInt()',ascending};
		}
		SORTING_COND='getBooleanParam("gen.sorting.xsd.comps")'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps1';
				}
				<AREA>
					<PAGE_BREAK>
						COND='getBooleanParam("page.start.comp")'
					</PAGE_BREAK>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Element Groups'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("page.start.comp.xsd.group")
&&
! iterator.isFirstItem'
				<AREA>
					<PAGE_BREAK>
					</PAGE_BREAK>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='group.tpl'
				OUTPUT_DIR_EXPR='getVar("schemaFolder").toString()'
			</TEMPLATE_CALL>
			<AREA_SEC>
				COND='! iterator.isLastItem'
				<AREA>
					<SPACER>
						FMT={
							spacer.height='20';
						}
					</SPACER>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
</ROOT>
CHECKSUM='Wwp5JQLlWJFrKkbwdlbRBNv?SzcTP0eWQAHc3puX218'
</FLEXDOCXYZ_TEMPLATE>