<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2004-06-21 01:50:00'
LAST_UPDATE='2021-11-28 13:49:08'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ET='#DOCUMENTS'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$nsURI';
		param.title='Namespace URI';
		param.type='string';
	}
	PARAM={
		param.name='$linkDestKeys';
		param.type='string';
		param.list='true';
		param.defaultValue.expr='moveElement (
  Vector ("detail", "xml-source-location"),
  indexOf (
    Array ("details", "xml_source"),
    getBooleanParam("nav.listFrame.namespace.sorting")
  ),
  0
).toArray()';
		param.fixed='true';
	}
	PARAM={
		param.name='gen.doc';
		param.title='Generate Details';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='gen.doc.element';
		param.title='Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.doc.element.topLevel';
		param.title='Separate Top-Level Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.doc.element.topLevel.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.doc.element.local';
		param.title='Local Elements';
		param.group='true';
		param.type='enum';
		param.enum.values='all;complexType;none';
	}
	PARAM={
		param.name='gen.doc.element.local.unifyByType';
		param.title='Unify By Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.listFrame.toc';
		param.title='Table of Contents';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace';
		param.title='Namespace';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace.linkTo';
		param.title='Link To';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='details;xml_source';
	}
	PARAM={
		param.name='nav.listFrame.namespace.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace.schemas';
		param.title='Schemas';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace.elements';
		param.title='Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace.elements.local';
		param.title='Local Elements';
		param.type='enum';
		param.enum.values='all;complexType;none';
	}
	PARAM={
		param.name='nav.listFrame.namespace.complexTypes';
		param.title='Complex Types';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace.simpleTypes';
		param.title='Simple Types';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace.groups';
		param.title='Element Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace.attributeGroups';
		param.title='Attribute Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.namespace.attributes';
		param.title='Global Attributes';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='9.5';
		text.font.style.bold='true';
		par.margin.bottom='6';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 2';
		style.id='ps2';
		text.font.size='9';
		text.font.style.bold='true';
		par.margin.top='6';
		par.margin.bottom='2.5';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 2 (Note)';
		style.id='ps3';
		text.font.name='Tahoma';
		text.font.size='6';
		text.font.style.bold='true';
		par.margin.top='0';
		par.margin.bottom='3';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Item';
		style.id='ps4';
		text.font.size='9';
		par.option.nowrap='true';
	}
	TABLE_STYLE={
		style.name='Frame TOC Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
	PAR_STYLE={
		style.name='Frame TOC Item';
		style.id='ps5';
		text.font.size='8';
		par.option.nowrap='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Hyperlink (latent)';
		style.id='cs3';
		text.decor.underline='true';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps6';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
}
<HTARGET>
	HKEYS={
		'getStringParam("$nsURI")';
		'"listFrame"';
	}
</HTARGET>
<ROOT>
	<FOLDER>
		ALWAYS_PROC_HDRFTR
		<HEADER>
			DESCR='namespace URI'
			<AREA_SEC>
				FMT={
					par.style='ps1';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								EXPR='(nsURI = getStringParam("$nsURI")) != "" ? nsURI : "{no namespace}"'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  (nsURI = getStringParam("$nsURI")) != "" ?
    "Namespace {" + nsURI + "}" : "No Namespace"'
									TARGET_FRAME_EXPR='"detailFrame"'
									HKEYS={
										'getStringParam("$nsURI")';
										'"detail"';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='getBooleanParam("nav.listFrame.toc")'
				FMT={
					sec.outputStyle='table';
					table.style='ts1';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='TOC'
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<ELEMENT_ITER>
				DESCR='list of XML schemas targeting this namespace'
				COND='getBooleanParam("nav.listFrame.namespace.schemas")'
				TARGET_ET='xs:schema'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema';
				}
				SORTING='by-expr'
				SORTING_KEY={expr='getXMLDocument().getAttrStringValue("xmlName")',ascending}
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'getParam("$nsURI")';
								'"listFrame"';
								'"schemas"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='183';
											ctrl.size.height='38';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'getStringParam("$nsURI")';
												'"schema-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='XML Schemas'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='Schema Name'
						FMT={
							par.style='ps4';
						}
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<FOLDER>
				DESCR='list of elements'
				COND='getBooleanParam("nav.listFrame.namespace.elements")'
				<HTARGET>
					HKEYS={
						'getParam("$nsURI")';
						'"listFrame"';
						'"elements"';
					}
				</HTARGET>
				<BODY>
					<ELEMENT_ITER>
						DESCR='top-level elements'
						COND='getBooleanParam("gen.doc.element.topLevel")'
						TARGET_ET='xs:element'
						SCOPE='advanced-location-rules'
						RULES={
							'* -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema/xs:element[getServiceAttr("isTopLevel").toBoolean()]';
						}
						SORTING='by-expr'
						SORTING_KEY={expr='callStockSection("Component Name")',ascending}
						SORTING_COND='getBooleanParam("gen.doc.element.topLevel.sorting")'
						<HEADER>
							<AREA_SEC>
								FMT={
									par.style='ps2';
								}
								<HTARGET>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"top-level-elements"';
									}
								</HTARGET>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='207';
													ctrl.size.height='38.3';
													text.hlink.fmt='style';
													text.hlink.style='cs3';
													text.hlink.style.use='hover';
												}
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  "root element candidates (see summary)"'
													TARGET_FRAME_EXPR='"detailFrame"'
													HKEYS={
														'getParam("$nsURI")';
														'"top-level-element-summary"';
													}
												</DOC_HLINK>
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='Top-Level Elements'
															</TEXT_CTRL>
															<DATA_CTRL>
																EXPR='"(" + iterator.numItems + ")"'
															</DATA_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Component Name'
								FMT={
									par.style='ps4';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
					<ELEMENT_ITER>
						DESCR='other elements'
						TARGET_ET='xs:%element'
						SCOPE='advanced-location-rules'
						RULES={
							'* -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema/descendant::xs:%element[instanceOf("xs:element") || ! hasAttr("ref") &&
{
  form = hasAttr("form") ? getAttrValue("form") :
           findAncestor ("xs:schema").getAttrStringValue ("elementFormDefault");

  (form == "qualified" || getStringParam("$nsURI") == "")
}]';
							'*[getParam("$nsURI") == ""] -> {findElementsByKey ("namespaces", "")}::xs:%localElement';
						}
						FILTER='instanceOf("xs:element") ?
  ! getBooleanParam("gen.doc.element.topLevel") ||
  ! getServiceAttr ("isTopLevel").toBoolean()
:
// case of local element
({
  // remain only those local elements that are either not documented globally at all
  // or documented globaly themselves (not via a unifier)

  el = findElementByKey ("globally-documented-local-elements", contextElement.id);
  el == null || el.id == contextElement.id
}
&&
{
  // which local elements to list?
  local = getStringParam("nav.listFrame.namespace.elements.local");
  
  local == "complexType" ?
    ((typeQName = getAttrQNameValue("type")) != null) ?
    {
      mainXSD = findElementByKey ("main-xsds", getXMLDocument().id);

      checkElementsByKey ("types", typeQName,
        BooleanQuery (
          instanceOf("xs:complexType")
          &&
          checkElementByKey ("main-xsds", getXMLDocument().id, mainXSD)
        )
      )
    }
    : hasChild("xs:complexType")
  :
  local == "all"
})'
						SORTING='by-expr'
						SORTING_KEY={expr='callStockSection("Component Name")',ascending}
						SORTING_COND='getBooleanParam("nav.listFrame.namespace.sorting")'
						<HEADER>
							<AREA_SEC>
								INIT_EXPR='! hasParamValue("gen.doc.element.local", "none") &&
getBooleanParam("gen.doc.element.local.unifyByType") ?
{
  elementCount = 0;

  iterate (
    iterator.items,
    @(GOMElement) el,
    FlexQuery ({
      count = el.instanceOf ("xs:element") ? 1 :
                countElementsByKey ("globally-documented-local-elements", el.id);

      elementCount = elementCount + (count > 0 ? count : 1);
    })
  )
} : {
  elementCount = iterator.numItems
};

setVar ("elementCount", elementCount);'
								FMT={
									sec.spacing.after='2.5';
									par.style='ps2';
								}
								<HTARGET>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"other-elements"';
									}
								</HTARGET>
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.margin.bottom='0';
										}
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='406.5';
													ctrl.size.height='38.3';
													text.hlink.fmt='style';
													text.hlink.style='cs3';
													text.hlink.style.use='hover';
												}
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
													TARGET_FRAME_EXPR='"detailFrame"'
													HKEYS={
														'getStringParam("$nsURI")';
														'"other-element-summary"';
													}
												</DOC_HLINK>
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																COND='hasParamValue("nav.listFrame.namespace.elements.local", "all")'
																TEXT='All'
															</TEXT_CTRL>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    getStringParam("$nsURI"),
    "listFrame",
    "top-level-elements"
  )
) != null'
																TEXT='Other'
															</TEXT_CTRL>
															<TEXT_CTRL>
																COND='hasParamValue("nav.listFrame.namespace.elements.local", "none")'
																TEXT='Global'
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='Elements'
															</TEXT_CTRL>
															<TEXT_CTRL>
																TEXT='('
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<DATA_CTRL>
																EXPR='iterator.numItems'
															</DATA_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' / ';
																}
															</SEPARATOR>
															<DATA_CTRL>
																COND='getIntVar("elementCount") != iterator.numItems'
																EXPR='getVar("elementCount")'
															</DATA_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='none';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT=')'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										FMT={
											par.style='ps3';
										}
										<CTRLS>
											<TEMPLATE_CALL_CTRL>
												TEMPLATE_FILE='../element/elementListNote.tpl'
												PASSED_PARAMS={
													'$elements.local','getStringParam("nav.listFrame.namespace.elements.local")';
													'$elements.local.unifiedByType','getIntVar("elementCount") != iterator.numItems';
												}
											</TEMPLATE_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='Component Name'
								FMT={
									par.style='ps4';
								}
							</SS_CALL>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
			<ELEMENT_ITER>
				DESCR='list of complex types'
				COND='getBooleanParam("nav.listFrame.namespace.complexTypes")'
				TARGET_ET='xs:complexType'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema';
					'xs:schema -> xs:complexType',recursive;
					'xs:schema -> xs:redefine/xs:complexType',recursive;
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='getAttrStringValue("name")',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.namespace.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'getParam("$nsURI")';
								'"listFrame"';
								'"complexTypes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='188';
											ctrl.size.height='38';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'getStringParam("$nsURI")';
												'"complexType-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Complex Types'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='Component Name'
						FMT={
							par.style='ps4';
						}
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of simple types'
				COND='getBooleanParam("nav.listFrame.namespace.simpleTypes")'
				TARGET_ET='xs:simpleType'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema';
					'xs:schema -> xs:simpleType',recursive;
					'xs:schema -> xs:redefine/xs:simpleType',recursive;
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='getAttrStringValue("name")',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.namespace.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'getParam("$nsURI")';
								'"listFrame"';
								'"simpleTypes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='183';
											ctrl.size.height='38';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'getStringParam("$nsURI")';
												'"simpleType-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Simple Types'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='Component Name'
						FMT={
							par.style='ps4';
						}
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of element groups'
				COND='getBooleanParam("nav.listFrame.namespace.groups")'
				TARGET_ET='xs:group'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema';
					'xs:schema -> xs:group',recursive;
					'xs:schema -> xs:redefine/xs:group',recursive;
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='getAttrStringValue("name")',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.namespace.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'getParam("$nsURI")';
								'"listFrame"';
								'"groups"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='191';
											ctrl.size.height='38';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'getStringParam("$nsURI")';
												'"group-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Element Groups'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='Component Name'
						FMT={
							par.style='ps4';
						}
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of attribute groups'
				COND='getBooleanParam("nav.listFrame.namespace.attributeGroups")'
				TARGET_ET='xs:attributeGroup'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema';
					'xs:schema -> xs:attributeGroup',recursive;
					'xs:schema -> xs:redefine/xs:attributeGroup',recursive;
				}
				SORTING='by-compound-key'
				SORTING_KEY={
					{expr='getAttrStringValue("name")',ascending};
					{expr='getServiceAttr("version").toInt()',ascending};
				}
				SORTING_COND='getBooleanParam("nav.listFrame.namespace.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'getParam("$nsURI")';
								'"listFrame"';
								'"attributeGroups"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='194';
											ctrl.size.height='38';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'getStringParam("$nsURI")';
												'"attributeGroup-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Attribute Groups'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='Component Name'
						FMT={
							par.style='ps4';
						}
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of global attributes'
				COND='getBooleanParam("nav.listFrame.namespace.attributes")'
				TARGET_ET='xs:attribute'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema/xs:attribute';
				}
				SORTING='by-attr'
				SORTING_KEY={lpath='@name',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.namespace.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'getParam("$nsURI")';
								'"listFrame"';
								'"attributes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='191.3';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'getStringParam("$nsURI")';
												'"attribute-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Global Attributes'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='Component Name'
						FMT={
							par.style='ps4';
						}
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='Component Name'
		DESCR='prints the qualified name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='../component/componentName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='Schema Name'
		TEMPLATE_FILE='../schema/schemaName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='TOC'
		FMT={
			par.style='ps5';
		}
		<BODY>
			<AREA_SEC>
				COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "schemas"
  )
) != null'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Schemas'
								<DOC_HLINK>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"schemas"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "elements"
  )
) != null'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Elements'
								<DOC_HLINK>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"elements"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<PANEL>
								COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "top-level-elements"
  )
) != null'
								FMT={
									ctrl.size.width='144.8';
									txtfl.separator.type='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='('
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT='top-level'
												<DOC_HLINK>
													HKEYS={
														'getParam("$nsURI")';
														'"listFrame"';
														'"top-level-elements"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='text';
													txtfl.separator.text=' / ';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "other-elements"
  )
) != null'
												TEXT='other'
												<DOC_HLINK>
													HKEYS={
														'getParam("$nsURI")';
														'"listFrame"';
														'"other-elements"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='none';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												TEXT=')'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "complexTypes"
  )
) != null'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Complex Types'
								<DOC_HLINK>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"complexTypes"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "simpleTypes"
  )
) != null'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Simple Types'
								<DOC_HLINK>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"simpleTypes"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "groups"
  )
) != null'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Element Groups'
								<DOC_HLINK>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"groups"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "attributeGroups"
  )
) != null'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Attribute Groups'
								<DOC_HLINK>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"attributeGroups"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				COND='findHyperTarget (
  Array (
    getParam("$nsURI"),
    "listFrame",
    "attributes"
  )
) != null'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Global Attributes'
								<DOC_HLINK>
									HKEYS={
										'getParam("$nsURI")';
										'"listFrame"';
										'"attributes"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
</STOCK_SECTIONS>
CHECKSUM='7K05lcN9BgHH10OuGbA4hX?zJUHJF?rF?P5YwWiR+sE'
</FLEXDOCXYZ_TEMPLATE>