<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-08-14 07:07:49'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='wsdl:binding'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$show_wsdl_file';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='$nsURI';
		param.title='definition\'s namespace URI';
		param.description='The namespace to which this WSDL definition belongs';
		param.type='string';
	}
	PARAM={
		param.name='$portType';
		param.title='The portType that this binding binds';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey (
  "wsdl-portTypes",
  getAttrQNameValue("type"),
  BooleanQuery (checkElementByKey (
    "main-xmls",
    getXMLDocument().id,
    getElementParam("$mainXML")
  ))
)';
	}
	PARAM={
		param.name='$usageCount';
		param.title='number of usage locations';
		param.description='number of locations where this binding is used (referenced)';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "wsdl-definition-usage", contextElement.id
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$extensibilityElements';
		param.title='Show extensibility elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.profile';
		param.title='Definition Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.profile.portType';
		param.title='Port Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.profile.defined';
		param.title='Defined / XML Source';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs3';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs4';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps2';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='5.8';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps3';
		text.font.name='Verdana';
		text.font.size='8';
		par.lineHeight='11';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<FOLDER>
		FMT={
			sec.outputStyle='table';
			table.cell.padding.both='0';
			table.border.style='none';
			table.page.keepTogether='true';
		}
		<BODY>
			<FOLDER>
				DESCR='profile'
				COND='getBooleanParam("doc.wsdl.def.profile")'
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.wsdl.def.profile.namespace")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Namespace:'
										FMT={
											ctrl.size.width='54.8';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps2';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='(ns = getParam("$nsURI")) != "" ? ns : "{no namespace}"'
										FMT={
											ctrl.size.width='444.8';
											ctrl.size.height='18';
											text.style='cs3';
											par.style='ps3';
										}
										<DOC_HLINK>
											HKEYS={
												'getStringParam("$nsURI")';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.wsdl.def.profile.portType")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Port Type:'
										FMT={
											ctrl.size.width='54.8';
											ctrl.size.height='59.3';
											tcell.align.vert='Top';
											par.style='ps2';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='444.8';
											ctrl.size.height='59.3';
											par.style='ps3';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														ATTR='type'
														FMT={
															text.style='cs3';
														}
														<DOC_HLINK>
															CONTEXT_ELEMENT_EXPR='getElementParam("$portType")'
															MATCHING_ET='wsdl:portType'
															TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("WSDL Definition Link Title")'
															HKEYS={
																'contextElement.id';
																'"detail"';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  getElementParam("$portType").id,
  "detail"
)) != null'
														FMT={
															ctrl.size.width='146.3';
															ctrl.size.height='38.3';
															text.style='cs4';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='['
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			CONTEXT_ELEMENT_EXPR='getElementParam("$portType")'
																			MATCHING_ET='wsdl:portType'
																			HKEYS={
																				'contextElement.id';
																				'"detail"';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.wsdl.def.profile.includes")
&&
{
  count = countChildren("wsdl:operation");
  count > 0 ? { setVar ("count", count); true } : false;
}'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Includes:'
										FMT={
											ctrl.size.width='54.8';
											ctrl.size.height='38.3';
											tcell.align.vert='Top';
											par.style='ps2';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='444.8';
											ctrl.size.height='38.3';
											par.style='ps3';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='getIntVar("count")'
													</DATA_CTRL>
													<TEXT_CTRL>
														COND='getIntVar("count") == 1'
														TEXT='operation'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"operation-summary"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<TEXT_CTRL>
														COND='getIntVar("count") > 1'
														TEXT='operations'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"operation-summary"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='defined / XML source'
						COND='getBooleanParam("doc.wsdl.def.profile.defined")'
						<BODY>
							<AREA_SEC>
								COND='getBooleanParam("$show_wsdl_file")'
								BREAK_PARENT_BLOCK='when-executed'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Defined:'
												FMT={
													ctrl.size.width='54.8';
													ctrl.size.height='38.3';
													tcell.align.vert='Top';
													par.style='ps2';
												}
											</TEXT_CTRL>
											<PANEL>
												FMT={
													ctrl.size.width='444.8';
													ctrl.size.height='38.3';
													par.style='ps3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='in'
															</TEXT_CTRL>
															<SS_CALL_CTRL>
																CONTEXT_ELEMENT_EXPR='findAncestor("wsdl:definitions")'
																MATCHING_ET='wsdl:definitions'
																SS_NAME='WSDL Name'
															</SS_CALL_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text='; ';
																}
															</SEPARATOR>
															<SS_CALL_CTRL>
																COND='findHyperTarget (Array (
  contextElement.id,
  Array ("xml-source", "xml-source-location")
)) != null'
																SS_NAME='See XML Source'
															</SS_CALL_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (Array (
  contextElement.id,
  Array ("xml-source", "xml-source-location")
)) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Defined:'
												FMT={
													ctrl.size.width='54.8';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps2';
												}
											</TEXT_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='See XML Source'
												FMT={
													ctrl.size.width='444.8';
													ctrl.size.height='18';
													par.style='ps3';
												}
											</SS_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
					<FOLDER>
						DESCR='usage'
						COND='getBooleanParam("doc.wsdl.def.profile.used")'
						<BODY>
							<AREA_SEC>
								COND='getIntParam("$usageCount") > 0'
								BREAK_PARENT_BLOCK='when-executed'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Used:'
												FMT={
													ctrl.size.width='54.8';
													ctrl.size.height='38.3';
													tcell.align.vert='Top';
													par.style='ps2';
												}
											</TEXT_CTRL>
											<PANEL>
												FMT={
													ctrl.size.width='444.8';
													ctrl.size.height='38.3';
													par.style='ps3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='in'
															</TEXT_CTRL>
															<DATA_CTRL>
																EXPR='getIntParam("$usageCount")'
															</DATA_CTRL>
															<TEXT_CTRL>
																COND='getIntParam("$usageCount") == 1'
																TEXT='port'
															</TEXT_CTRL>
															<TEXT_CTRL>
																COND='getIntParam("$usageCount") > 1'
																TEXT='ports'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<SS_CALL_CTRL>
																SS_NAME='Usage in Ports'
															</SS_CALL_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Used:'
												FMT={
													ctrl.size.width='54.8';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps2';
												}
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT='never'
												FMT={
													ctrl.size.width='444.8';
													ctrl.size.height='18';
													par.style='ps3';
												}
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<AREA_SEC>
				COND='getBooleanParam("$extensibilityElements")
&&
checkStockSectionOutput("Extensibility Elements")'
				FMT={
					trow.cell.align.vert='Top';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Extensibility
Elements:'
								FMT={
									ctrl.size.width='54.8';
									ctrl.size.height='21';
									tcell.padding.extra.top='7';
									text.spacing.renderNL='true';
									par.style='ps2';
								}
							</TEXT_CTRL>
							<SS_CALL_CTRL>
								SS_NAME='Extensibility Elements'
								FMT={
									ctrl.size.width='444.8';
									ctrl.size.height='21';
									tcell.padding.extra.top='9';
								}
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='Extensibility Elements'
		TEMPLATE_FILE='../misc/extensibilityElements.tpl'
	</TEMPLATE_CALL>
	<AREA_SEC>
		SS_NAME='See XML Source'
		FMT={
			sec.outputStyle='text-par';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='see'
					</TEXT_CTRL>
					<TEXT_CTRL>
						TEXT='XML source'
						<DOC_HLINK>
							HKEYS={
								'contextElement.id';
								'Array ("xml-source", "xml-source-location")';
							}
						</DOC_HLINK>
					</TEXT_CTRL>
					<PANEL>
						COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
						FMT={
							ctrl.size.width='183.8';
							ctrl.size.height='38.3';
							txtfl.separator.type='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='nbsp';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										TEXT='['
										FMT={
											text.style='cs4';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										DOCFIELD='page-htarget'
										FMT={
											ctrl.option.noHLinkFmt='true';
											text.style='cs4';
											text.hlink.fmt='none';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'Array ("xml-source", "xml-source-location")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT=']'
										FMT={
											text.style='cs4';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<ELEMENT_ITER>
		SS_NAME='Usage in Ports'
		MATCHING_ET='wsdl:binding'
		TARGET_ET='wsdl:port'
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='findElementsByKey (
  "wsdl-definition-usage", contextElement.id
)'
		FMT={
			sec.outputStyle='text-par';
			txtfl.separator.type='text';
			txtfl.separator.text='; ';
		}
		<BODY>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='space';
						}
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='WSDL Definition Name'
								FMT={
									text.style='cs3';
								}
							</SS_CALL_CTRL>
							<PANEL>
								COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
								FMT={
									ctrl.size.width='144.8';
									text.style='cs4';
									txtfl.separator.type='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='['
											</TEXT_CTRL>
											<DATA_CTRL>
												DOCFIELD='page-htarget'
												FMT={
													ctrl.option.noHLinkFmt='true';
													text.hlink.fmt='none';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"detail"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT=']'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<PANEL>
								CONTEXT_ELEMENT_EXPR='contextElement.parent'
								MATCHING_ET='wsdl:service'
								FMT={
									ctrl.size.width='377.3';
									ctrl.size.height='59.3';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='in service'
											</TEXT_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='WSDL Definition Name'
												FMT={
													text.style='cs3';
												}
											</SS_CALL_CTRL>
											<PANEL>
												COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
												FMT={
													ctrl.size.width='145.5';
													ctrl.size.height='38.3';
													text.style='cs4';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='['
															</TEXT_CTRL>
															<DATA_CTRL>
																DOCFIELD='page-htarget'
																FMT={
																	ctrl.option.noHLinkFmt='true';
																	text.hlink.fmt='none';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT=']'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Link Title'
		TEMPLATE_FILE='../misc/defLinkTitle.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definiton'
		TEMPLATE_FILE='../misc/defName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Name'
		MATCHING_ET='wsdl:definitions'
		TEMPLATE_FILE='../file/wsdlName.tpl'
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='gCa1axgTzxeTZJLNt35f82L0DOXq7?UVqKpZLQAnaBU'
</FLEXDOCXYZ_TEMPLATE>